summaryrefslogtreecommitdiff
path: root/openwrt/target
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2005-04-03 09:25:38 +0000
committerFelix Fietkau <nbd@openwrt.org>2005-04-03 09:25:38 +0000
commitaae9a9ade0ee51c2a3c306449071c8084d569ba3 (patch)
tree6f624a7fac3ebf84730d176ee2347db192f75861 /openwrt/target
parentbd2e7a5f5e8bac61aa31518c2618176618ac94b9 (diff)
downloadmtk-20170518-aae9a9ade0ee51c2a3c306449071c8084d569ba3.zip
mtk-20170518-aae9a9ade0ee51c2a3c306449071c8084d569ba3.tar.gz
mtk-20170518-aae9a9ade0ee51c2a3c306449071c8084d569ba3.tar.bz2
remove nvram support from backup script
SVN-Revision: 538
Diffstat (limited to 'openwrt/target')
-rwxr-xr-xopenwrt/target/default/target_skeleton/sbin/backup10
1 files changed, 2 insertions, 8 deletions
diff --git a/openwrt/target/default/target_skeleton/sbin/backup b/openwrt/target/default/target_skeleton/sbin/backup
index cdf41b9..33bad53 100755
--- a/openwrt/target/default/target_skeleton/sbin/backup
+++ b/openwrt/target/default/target_skeleton/sbin/backup
@@ -1,11 +1,9 @@
#!/bin/sh
for param in $*; do
case "$param" in
- -n)
- SAVE_NVRAM=y
- ;;
*)
OUTPUT_FILE="$param"
+ ;;
esac
done
@@ -13,6 +11,7 @@ if [ "$OUTPUT_FILE" = "-" ]; then
echo "Writing backup to stdout.." >&2
elif [ "$OUTPUT_FILE" = "" ]; then
echo "No output file."
+ exit 1
else
echo "Writing backup to $OUTPUT_FILE" >&2
exec > "$OUTPUT_FILE"
@@ -25,11 +24,6 @@ cat /tmp/.wlbackup_files
echo __IPKG__
cat /etc/ipkg.conf
-if [ "$1" = "-n" ]; then
- echo __NVRAM__
- nvram show 2>/dev/null
-fi
-
echo __PACKAGES__
grep '^Package:' /usr/lib/ipkg/status | cut -d' ' -f2